Debian Bug report logs - #728285
ITP: r-bioc-rsamtools -- GNU R binary alignment (BAM), variant call (BCF), or tabix file import

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Tille <tille@debian.org>

Date: Wed, 30 Oct 2013 09:30:01 UTC

Owned by: Andreas Tille <tille@debian.org>

Severity: wishlist

Fixed in version r-bioc-rsamtools/1.12.4-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org:
Bug#728285; Package wnpp. (Wed, 30 Oct 2013 09:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org. (Wed, 30 Oct 2013 09:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: r-bioc-rsamtools -- GNU R binary alignment (BAM), variant call (BCF), or tabix file import
Date: Wed, 30 Oct 2013 10:25:55 +0100
Package: wnpp
Severity: wishlist
Owner: Andreas Tille <tille@debian.org>

* Package name    : r-bioc-rsamtools
  Version         : 1.12.4-1
  Upstream Author : Martin Morgan, Hervé Pagès
* URL             : http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html
* License         : Artistic-2.0
  Programming Lang: R
  Description     : GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.


Remark: The packaging is done by Debian Med team in
        svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#728285; Package wnpp. (Wed, 30 Oct 2013 10:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 30 Oct 2013 10:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 728285@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Maintainer <maintainer@bioconductor.org>
Cc: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, 728285@bugs.debian.org
Subject: Please explain binary files without source in Rsamtools
Date: Wed, 30 Oct 2013 11:12:25 +0100
Hi,

as formerly posted here I'm working onn the Debian packaging of
preconditions for the new version of cummeRbund.  The package Rsamtools
belongs to the tree of dependencies and inside its source I found some
binary files with unclear origin which will not be accepted.  Since
Martin Morgan pointed me in previous cases to the documentation inside
the package I tried to verify this first but failed.  Here are the
files in Question:

Files: inst/extdata/CaffeineTxdb.sqlite
 I tried `grep -R CaffeineTxdb` with no hit.

Files: inst/extdata/ex1.bam
 I tried

  $ grep -R ex1\.bam | grep -v system\.file
  inst/unitTests/test_BcfFile.R:        checkEquals("ex1.bam", h[["Sample"]])
  inst/doc/Rsamtools-Overview.Rnw:list.files(dirname(bamFile), pattern="ex1.bam(.bai)?")
  inst/doc/Rsamtools-Overview.R:list.files(dirname(bamFile), pattern="ex1.bam(.bai)?")
  src/samtools/knetfile.c:                fp = knet_open("http://www.sanger.ac.uk/Users/lh3/ex1.bam", "r");

 None of these files is kind of documenting the origin and even worse
 the URL at www.sanger.ac.uk does not exist any more.

Files: inst/extdata/ex1.bam
 I tried `grep -R ex1\.bcf | grep -v system\.file` with no hit

Files: inst/extdata/example\.gtf*:
 I tried `grep -R example\.gtf  | grep -v system\.file` with no hit

Files: inst/extdata/example_from_SAM_Spec*:
 These files are neither documented nor used since not even
   grep -R example_from_SAM_Spec
 shows any hit

Files: inst/extdata/olaps.Rda
 This file is mentioned in a load statement in
  inst/doc/Rsamtools-Overview.R
 but no hint to its origin.

Files: inst/unitTests/cases/ex1.sam.gz
 Except of the first two lines this is a copy of file
  inst/extdata/ex1.sam

Files: inst/unitTests/cases/ex1_*.bam*
 Seems these files are derived from file
  inst/extdata/ex1.sam
 and just used for verification of the correctness of
 Rsamtools.  Please confirm this suspicion.

Files: inst/unitTests/cases/plp_refskip.bam*
 I tried `grep -R plp_refskip | grep -v system\.file` with no hit


It would be really helpful if you could clarify the origin of these
files since otherwise Debian ftpmasters will consider the package
as non-free which will prevent it from inclusion into main Debian
distribution and in turn we also could not get cummeRbund updated.

Kind regards and thanks for your cooperation

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#728285; Package wnpp. (Wed, 30 Oct 2013 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Morgan <mtmorgan@fhcrc.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 30 Oct 2013 14:48:04 GMT) Full text and rfc822 format available.

Message #15 received at 728285@bugs.debian.org (full text, mbox):

From: Martin Morgan <mtmorgan@fhcrc.org>
To: andreas@fam-tille.de, Maintainer <maintainer@bioconductor.org>
Cc: 728285@bugs.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Re: [devteam-bioc] Please explain binary files without source in Rsamtools
Date: Wed, 30 Oct 2013 07:38:09 -0700
On 10/30/2013 03:12 AM, Maintainer wrote:
> Hi,
>
> as formerly posted here I'm working onn the Debian packaging of
> preconditions for the new version of cummeRbund.  The package Rsamtools
> belongs to the tree of dependencies and inside its source I found some
> binary files with unclear origin which will not be accepted.  Since
> Martin Morgan pointed me in previous cases to the documentation inside
> the package I tried to verify this first but failed.  Here are the
> files in Question:

you don't mention the version you're trying to port; the following is from

  https://hedgehog.fhcrc.org/bioconductor/trunk/madman/Rpacks/Rsamtools

>
> Files: inst/extdata/CaffeineTxdb.sqlite
>   I tried `grep -R CaffeineTxdb` with no hit.

stale; removed. sqlite tables derived from querying a public data base 
('biomart.org').

>
> Files: inst/extdata/ex1.bam

ex1.sam is the text representation of ex1.bam (using Rsamtools::asBam at the 
time of file creation); ex1.bam.bai is an index created on ex1.bam (using 
Rsamtools::indexBam at the time of file creation). ex1.sam is derived from files 
originally distributed with 'samtools' software under an MIT license, see 
Rsamtools/LICENSE

>   I tried
>
>    $ grep -R ex1\.bam | grep -v system\.file
>    inst/unitTests/test_BcfFile.R:        checkEquals("ex1.bam", h[["Sample"]])
>    inst/doc/Rsamtools-Overview.Rnw:list.files(dirname(bamFile), pattern="ex1.bam(.bai)?")
>    inst/doc/Rsamtools-Overview.R:list.files(dirname(bamFile), pattern="ex1.bam(.bai)?")
>    src/samtools/knetfile.c:                fp = knet_open("http://www.sanger.ac.uk/Users/lh3/ex1.bam", "r");
>
>   None of these files is kind of documenting the origin and even worse
>   the URL at www.sanger.ac.uk does not exist any more.
>
> Files: inst/extdata/ex1.bam
>   I tried `grep -R ex1\.bcf | grep -v system\.file` with no hit

ex1.bcf is a file hand created in antiquity, and used in unit tests and man pages.

Rsamtools$ grep -lr ex1.bcf *|grep -v svn
inst/unitTests/test_BcfFile.R
man/BcfFile-class.Rd
man/scanBcf.Rd

>
> Files: inst/extdata/example\.gtf*:
>   I tried `grep -R example\.gtf  | grep -v system\.file` with no hit

example.gtf.gz is gz-compressed text file used in unit tests and man pages, hand 
curated from public data sources, the .tbi variant is an index 
(Rsamtools::indexTabix)

Rsamtools$ grep -lr example.gtf.gz *|grep -v svn
inst/unitTests/test_TabixFile.R
man/headerTabix.Rd
man/seqnamesTabix.Rd
man/TabixFile-class.Rd

>
> Files: inst/extdata/example_from_SAM_Spec*:
>   These files are neither documented nor used since not even
>     grep -R example_from_SAM_Spec
>   shows any hit

This is a file useful to the developer, hand-curated from the SAM spec at

  http://samtools.sourceforge.net/SAMv1.pdf

although SAM.pdf did not historically include version numbers so the precise 
origin is unknown.

>
> Files: inst/extdata/olaps.Rda
>   This file is mentioned in a load statement in
>    inst/doc/Rsamtools-Overview.R
>   but no hint to its origin.

The script for creating this file is in the vignette Rsamtools-Overiew.Rnw

<<readGAlignmentsFromBam, eval=FALSE>>=
library(parallel)
options(srapply_fapply="parallel", mc.cores=detectCores())
olaps <- readGAlignmentsFromBam(bv)
@

>
> Files: inst/unitTests/cases/ex1.sam.gz
>   Except of the first two lines this is a copy of file
>    inst/extdata/ex1.sam
>
> Files: inst/unitTests/cases/ex1_*.bam*
>   Seems these files are derived from file
>    inst/extdata/ex1.sam
>   and just used for verification of the correctness of
>   Rsamtools.  Please confirm this suspicion.
>
> Files: inst/unitTests/cases/plp_refskip.bam*
>   I tried `grep -R plp_refskip | grep -v system\.file` with no hit

This is a hand-crafted file used in a unit test

Rsamtools$ grep -lr plp_refskip *|grep -v svn
inst/unitTests/test_applyPileups.R

>
>
> It would be really helpful if you could clarify the origin of these
> files since otherwise Debian ftpmasters will consider the package
> as non-free which will prevent it from inclusion into main Debian
> distribution and in turn we also could not get cummeRbund updated.
>
> Kind regards and thanks for your cooperation
>
>        Andreas.
>


-- 
Computational Biology / Fred Hutchinson Cancer Research Center
1100 Fairview Ave. N.
PO Box 19024 Seattle, WA 98109

Location: Arnold Building M1 B861
Phone: (206) 667-2793



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#728285; Package wnpp. (Wed, 30 Oct 2013 15:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 30 Oct 2013 15:15:12 GMT) Full text and rfc822 format available.

Message #20 received at 728285@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Martin Morgan <mtmorgan@fhcrc.org>
Cc: Maintainer <maintainer@bioconductor.org>, 728285@bugs.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Re: [devteam-bioc] Please explain binary files without source in Rsamtools
Date: Wed, 30 Oct 2013 16:10:46 +0100
Hi Martin,

On Wed, Oct 30, 2013 at 07:38:09AM -0700, Martin Morgan wrote:
> On 10/30/2013 03:12 AM, Maintainer wrote:
> >Hi,
> >
> >as formerly posted here I'm working onn the Debian packaging of
> >preconditions for the new version of cummeRbund.  The package Rsamtools
> >belongs to the tree of dependencies and inside its source I found some
> >binary files with unclear origin which will not be accepted.  Since
> >Martin Morgan pointed me in previous cases to the documentation inside
> >the package I tried to verify this first but failed.  Here are the
> >files in Question:
> 
> you don't mention the version you're trying to port; the following is from

Ahh, sorry.  I was basing my packaging onto BioConductor Release (2.12)
containing RSamtools version 1.12.4.  The rationale for using this version
was that I wanted to stick to BioConductor 2.12 until all needed packages
were uploaded to Debian and afterwards upgrading in one rush to the latest
BioConductor version.
 
>   https://hedgehog.fhcrc.org/bioconductor/trunk/madman/Rpacks/Rsamtools

Well, this requires some autorisation but may be there is no need that
I review the development trunk just for this reason.

> >Files: inst/extdata/CaffeineTxdb.sqlite
> >  I tried `grep -R CaffeineTxdb` with no hit.
> 
> stale; removed. sqlite tables derived from querying a public data
> base ('biomart.org').

I could remove this file from the original tarball or weit for a new
release without this file (in case this might be at horizon). 

Thanks for all the other explanations.  I'll include it into the
packaging and hope our ftpmaster will consider it sufficient.

Kind regards

       Andreas.


> >Files: inst/extdata/ex1.bam
> 
> ex1.sam is the text representation of ex1.bam (using
> Rsamtools::asBam at the time of file creation); ex1.bam.bai is an
> index created on ex1.bam (using Rsamtools::indexBam at the time of
> file creation). ex1.sam is derived from files originally distributed
> with 'samtools' software under an MIT license, see Rsamtools/LICENSE
> 
> >  I tried
> >
> >   $ grep -R ex1\.bam | grep -v system\.file
> >   inst/unitTests/test_BcfFile.R:        checkEquals("ex1.bam", h[["Sample"]])
> >   inst/doc/Rsamtools-Overview.Rnw:list.files(dirname(bamFile), pattern="ex1.bam(.bai)?")
> >   inst/doc/Rsamtools-Overview.R:list.files(dirname(bamFile), pattern="ex1.bam(.bai)?")
> >   src/samtools/knetfile.c:                fp = knet_open("http://www.sanger.ac.uk/Users/lh3/ex1.bam", "r");
> >
> >  None of these files is kind of documenting the origin and even worse
> >  the URL at www.sanger.ac.uk does not exist any more.
> >
> >Files: inst/extdata/ex1.bam
> >  I tried `grep -R ex1\.bcf | grep -v system\.file` with no hit
> 
> ex1.bcf is a file hand created in antiquity, and used in unit tests and man pages.
> 
> Rsamtools$ grep -lr ex1.bcf *|grep -v svn
> inst/unitTests/test_BcfFile.R
> man/BcfFile-class.Rd
> man/scanBcf.Rd
> 
> >
> >Files: inst/extdata/example\.gtf*:
> >  I tried `grep -R example\.gtf  | grep -v system\.file` with no hit
> 
> example.gtf.gz is gz-compressed text file used in unit tests and man
> pages, hand curated from public data sources, the .tbi variant is an
> index (Rsamtools::indexTabix)
> 
> Rsamtools$ grep -lr example.gtf.gz *|grep -v svn
> inst/unitTests/test_TabixFile.R
> man/headerTabix.Rd
> man/seqnamesTabix.Rd
> man/TabixFile-class.Rd
> 
> >
> >Files: inst/extdata/example_from_SAM_Spec*:
> >  These files are neither documented nor used since not even
> >    grep -R example_from_SAM_Spec
> >  shows any hit
> 
> This is a file useful to the developer, hand-curated from the SAM spec at
> 
>   http://samtools.sourceforge.net/SAMv1.pdf
> 
> although SAM.pdf did not historically include version numbers so the
> precise origin is unknown.
> 
> >
> >Files: inst/extdata/olaps.Rda
> >  This file is mentioned in a load statement in
> >   inst/doc/Rsamtools-Overview.R
> >  but no hint to its origin.
> 
> The script for creating this file is in the vignette Rsamtools-Overiew.Rnw
> 
> <<readGAlignmentsFromBam, eval=FALSE>>=
> library(parallel)
> options(srapply_fapply="parallel", mc.cores=detectCores())
> olaps <- readGAlignmentsFromBam(bv)
> @
> 
> >
> >Files: inst/unitTests/cases/ex1.sam.gz
> >  Except of the first two lines this is a copy of file
> >   inst/extdata/ex1.sam
> >
> >Files: inst/unitTests/cases/ex1_*.bam*
> >  Seems these files are derived from file
> >   inst/extdata/ex1.sam
> >  and just used for verification of the correctness of
> >  Rsamtools.  Please confirm this suspicion.
> >
> >Files: inst/unitTests/cases/plp_refskip.bam*
> >  I tried `grep -R plp_refskip | grep -v system\.file` with no hit
> 
> This is a hand-crafted file used in a unit test
> 
> Rsamtools$ grep -lr plp_refskip *|grep -v svn
> inst/unitTests/test_applyPileups.R
> 
> >
> >
> >It would be really helpful if you could clarify the origin of these
> >files since otherwise Debian ftpmasters will consider the package
> >as non-free which will prevent it from inclusion into main Debian
> >distribution and in turn we also could not get cummeRbund updated.
> >
> >Kind regards and thanks for your cooperation
> >
> >       Andreas.
> >
> 
> 
> -- 
> Computational Biology / Fred Hutchinson Cancer Research Center
> 1100 Fairview Ave. N.
> PO Box 19024 Seattle, WA 98109
> 
> Location: Arnold Building M1 B861
> Phone: (206) 667-2793
> 

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 04 Nov 2013 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 17:03:36 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 17:03:36 GMT) Full text and rfc822 format available.

Message #27 received at 728285-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 728285-close@bugs.debian.org
Subject: Bug#728285: fixed in r-bioc-rsamtools 1.12.4-1
Date: Fri, 29 Nov 2013 17:00:09 +0000
Source: r-bioc-rsamtools
Source-Version: 1.12.4-1

We believe that the bug you reported is fixed in the latest version of
r-bioc-rsamtools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728285@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated r-bioc-rsamtools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Sep 2013 11:11:22 +0200
Source: r-bioc-rsamtools
Binary: r-bioc-rsamtools
Architecture: source amd64
Version: 1.12.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 r-bioc-rsamtools - GNU R binary alignment (BAM), variant call (BCF), or tabix file i
Closes: 728285
Changes: 
 r-bioc-rsamtools (1.12.4-1) unstable; urgency=low
 .
   * Initial release (closes: #728285)
Checksums-Sha1: 
 1112d3629099e03f58c043917319eb29fcf63d42 1572 r-bioc-rsamtools_1.12.4-1.dsc
 cdacea9b982395e397eeaa2fab012d72a6578f0b 2970276 r-bioc-rsamtools_1.12.4.orig.tar.gz
 351f77bb25856b9cca44139fda867aa37d94f732 6340 r-bioc-rsamtools_1.12.4-1.debian.tar.gz
 72aa295c118f39d33baeb22ca98c6ce4211fd15e 3189460 r-bioc-rsamtools_1.12.4-1_amd64.deb
Checksums-Sha256: 
 9cc516dcbe3bf2200fc040f76a6e8141d156019f8ebe96d42522738efeac8497 1572 r-bioc-rsamtools_1.12.4-1.dsc
 1e0953009771f9ca6afea23205708abfb35676c96451bfa96f1364b72a8d67cb 2970276 r-bioc-rsamtools_1.12.4.orig.tar.gz
 8fde1cd630d0e742d1ad95a6a5ecb4e058328a2fed00ca46cf509014cbe26d37 6340 r-bioc-rsamtools_1.12.4-1.debian.tar.gz
 7463733190336786e0bacf3ca5cdd414fe2ed206950cb30856a75140285648b6 3189460 r-bioc-rsamtools_1.12.4-1_amd64.deb
Files: 
 cf615899f5dfd03e054206f4abf61d7c 1572 gnu-r optional r-bioc-rsamtools_1.12.4-1.dsc
 75189a4203fb3eb9bd8cda03f3e8c523 2970276 gnu-r optional r-bioc-rsamtools_1.12.4.orig.tar.gz
 96fe11bc0a4442a8b3c841e49f5fc25f 6340 gnu-r optional r-bioc-rsamtools_1.12.4-1.debian.tar.gz
 50334edd80f415ae19ee13ebf50f2b43 3189460 gnu-r optional r-bioc-rsamtools_1.12.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJ3xH8ACgkQYDBbMcCf01pY6ACeO5H+iIWxHAhH7AbHndzrUZ5j
YdIAn3ws03i7ME9wWS4w8XWwYDzUe85D
=58Ze
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:41:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:46:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.